monad-par-0.3.4.7: A library for parallel programming based on a monad

Safe Haskell | None
Language | Haskell98

Control.Monad.Par.Scheds.Sparks

Description

This scheduler uses sparks (par/pseq) directly, but only supplies the `Monad.Par.Class.ParFuture` interface.

# Documentation

data Par a Source

Constructors

Done a |

Instances

Monad Par Source |
Functor Par Source |
Applicative Par Source |
ParFuture Future Par Source |

data Future a Source

Constructors

Future a |

Instances

ParFuture Future Par Source |

runPar :: Par a -> a Source

get :: Future a -> Par a Source

spawn :: NFData a => Par a -> Par (Future a) Source

spawn_ :: Par a -> Par (Future a) Source

spawnP :: NFData a => a -> Par (Future a) Source